'=========================================================
' Bitmap sample
'=========================================================

Declare Function GetDlgCtrlID Lib "User32" ( ByVal hwndCtl As Long ) As Long
Declare Function DlgDirListA Lib "User32" ( ByVal hDlg As Long, ByVal PathSpec As String, ByVal nIDListBox As Long, ByVal nIDStatic As Long, ByVal nFileType As Long ) As Long

Sub DrawBitmapSample
    Dim MyList$()
    Begin Dialog BitmapDlg 60, 60, 285, 225, "Enable bitmap sample", .DlgFunc
        TextBox 10, 5, 80, 12, .Text1
        Text 100, 8, 178, 9, "", .Path
        ListBox 10, 20, 80, 178, MyList(), .List1, 2	' Sort
        Picture 100, 20, 178, 178, "", 0, .Picture1
        CancelButton 42, 203, 40, 12    
        OKButton 90, 203, 40, 12
    End Dialog

    Dim frame As BitmapDlg

    ' Show the bitmap
    Dialog frame
End Sub

Function DlgFunc( controlID As String, action As Integer, suppValue As Integer )
    Static nPathID As Integer
    Static PathName As String
    Select Case action
    Case 1 ' Initialize
        PathName = "c:\windows"
        DlgText "Text1", PathName & "\*.bmp"
	  nListID = GetDlgCtrlID( DlgControlHWND("List1") )
	  nPathID = GetDlgCtrlID( DlgControlHWND("Path") )
        DlgDirListA DlgHWND, DlgText("Text1"), nListID, nPathID, &h10
    Case 2 ' Click
        If controlID = "OK" Then	' OK Button
            DlgDirListA DlgHWND, DlgText("Text1"), nListID, nPathID, &h10
            PathName = DlgText("Path")
            DlgFunc = 1
        Else
		FileSpec = DlgText("List1")
		If Left( FileSpec, 1 ) = "[" Then	' FileSpec is a directory
                PathName = Mid( FileSpec, 2, Len(FileSpec)-2 )
                DlgDirListA DlgHWND, PathName & "\*.bmp", nListID, nPathID, &h10
                PathName = DlgText("Path")
                If Right( PathName, 1 ) <> "\" Then
                    PathName = PathName & "\"
                End If
                DlgText "Text1", PathName & "*.bmp"
                Exit Function
            End If
            fileName = PathName  & "\" & DlgText("List1")
            DlgText "Path", fileName
            DlgSetPicture "Picture1", fileName
        End If
    End Select
End Function